
class otto
{
	private:
		//radius of otto
		GLdouble radius;

		// longitudes for sphere
		GLint slices;
		
		// latitudes for sphere
		GLint stacks;

		// x position
		GLfloat x;

		// y position
		GLfloat y;
		
		//  z position
		GLfloat z;
		
		// current X position
		GLfloat currX;

		// current Y position
		GLfloat currY;

		// next X position
		GLfloat nextX;

		// next Y position
		GLfloat nextY;

		// angle
		GLfloat angle;

		// flag to indicate that otto should go along the Y axis
		int goUp;
		
		// flag to indicate that otto should go along the -Y axis
		int goDown;

		// flag to indicate that otto should go along the -X axis
		int goLeft;

		// flag to indicate that otto should go along the +X axis
		int goRight;

		// flag to check if otto collided with the wall
		int collideWithWall;

		// indicates if zorro was taken
		int zorroTaken;

	public:
		
		// constructor
		otto();
		
		// initialise the otto
		void init(int,int);

		// draw it 
		void drawOtto();
		
		// depending on flags set move teh otto
		void moveOtto();

		// return currX
		float getCurrX();

		// return currY
		float getCurrY();

		// return nextX		
		float getNextX();

		// return nextY				
		float getNextY();

		// return radius		
		float getRadius();	

		// turn the otto's direction
		void reverseOtto(float);

		// check next X posoition
		void checkNextX(float, float);

		// check next Y position
		void checkNextY(float, float);

		// check both
		void checkNextXY(float, float, float, float);

		// set goUp
		void setGoUp();

		// set goDown
		void setGoDown();

		// set goLeft
		void setGoLeft();

		// set goRight
		void setGoRight();

		// set zorroTaken
		void setZorroTaken();

		// reset zorroTaken
		void resetZorroTaken();

		// return zorroTaken
		int getZorroTaken();
};	
		
		
